<?php
namespace App\Galileo\LineParser\Types;

/**
 * Only letters, UT8 compatible
 * @author Lucian Sirbu
 *
 */
class Letters extends \App\Galileo\LineParser\Types\GalileoBase
{
	protected $extractRegexp = "/^(?P<rawData>[a-zA-Z\s]__LENGHTS__)/";	// ASCII only

	/**
	 * (non-PHPdoc)
	 * @see \App\Utils\BaseParser\TextParser\BlockRegexpAbstract::_extract_value()
	 */
	protected function _extract_value(\App\Utils\BaseParser\TextParser\ExtractedBlock $ret, $originalRawData)
	{
		$ret = parent::_extract_value($ret, $originalRawData);
		$ret->extractedData = rtrim($ret->extractedData);
		return $ret;
	}
}
